package main

import (
	"fmt"
	"log"
	"os"
	"time"

	"github.com/gdamore/tcell/v2"
)

func main() {
	fmt.Println()
	screen, err := tcell.NewScreen()
	if err != nil {
		log.Fatalf("%v", err)
	}
	if err := screen.Init(); err != nil {
		log.Fatalf("%v", err)
	}
	x, y := 0, 0

	//defStyle := tcell.StyleDefault.Background
	defStyle := tcell.StyleDefault.Background(tcell.ColorReset).Foreground(tcell.ColorReset)
	screen.SetStyle(defStyle)
	go Run(x, y, screen, defStyle)

	for {
		switch event := screen.PollEvent().(type) {
		case *tcell.EventResize:
			screen.Sync()
		case *tcell.EventKey:
			switch event.Key() == tcell.KeyEscape || event.Key() == tcell.KeyCtrlC {
			case true:
				screen.Fini()
				os.Exit(0)
			}
		}
	}

}

func Run(x int, y int, screen tcell.Screen, defStyle tcell.Style) {
	for {
		screen.SetContent(x, y, 'A', nil, defStyle)
		screen.Show()
		x++
		y++
		time.Sleep(time.Second)
	}
}
